> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all pledges



## OpenAPI

````yaml https://givebutter.com/docs/api.json get /v1/pledges
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/pledges:
    get:
      tags:
        - Pledges
      summary: List all pledges
      operationId: pledges.index
      responses:
        '200':
          description: Paginated set of `PledgeResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/PledgeResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
components:
  schemas:
    PledgeResource:
      type: object
      properties:
        id:
          type: string
        contact_id:
          type: string
        campaign_id:
          type: string
        fund_id:
          type: string
        type:
          type: string
        status:
          type: string
        status_friendly:
          type: string
        amount:
          type: string
        amount_fulfilled:
          type: string
        amount_remaining:
          type: string
        allow_custom_amount:
          type: string
        installment_frequency:
          type: string
        first_installment_date:
          type: string
        next_installment_date:
          type: string
        expected_fulfillment_date:
          type: string
        memo:
          type: string
        auto_remind:
          type: string
        last_reminded_at:
          type: string
        fee_coverage_type:
          type: string
        fee_coverage_visibility:
          type: string
        include_in_campaign_goal:
          type: string
        tips_enabled:
          type: string
        canceled_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - contact_id
        - campaign_id
        - fund_id
        - type
        - status
        - status_friendly
        - amount
        - amount_fulfilled
        - amount_remaining
        - allow_custom_amount
        - installment_frequency
        - first_installment_date
        - next_installment_date
        - expected_fulfillment_date
        - memo
        - auto_remind
        - last_reminded_at
        - fee_coverage_type
        - fee_coverage_visibility
        - include_in_campaign_goal
        - tips_enabled
        - canceled_at
        - created_at
        - updated_at
      title: PledgeResource
  securitySchemes:
    http:
      type: http
      scheme: bearer

````